<Configuration status="WARN">
    <Appenders>
        <Console name="console" target="SYSTEM_OUT">
            <PatternLayout pattern="%d{yyyy-MM-dd HH:mm:ss.SSS} %highlight{%level} [%thread] - %msg%n"/>
        </Console>

        <RollingFile
                name="file"
                fileName="${sys:catalina.base}/logs/application.log"
                filePattern="${sys:catalina.base}/logs/application.%i.log.gz"
                ignoreExceptions="false">

            <PatternLayout pattern="%date{yyyy-MM-dd HH:mm:ss.SSS} %level [%thread] %class %msg%n"/>

            <Policies>
                <SizeBasedTriggeringPolicy size="10MB"/>
            </Policies>
            <DefaultRolloverStrategy max="5"/>
        </RollingFile>


    </Appenders>

    <Loggers>
        <Root level="INFO">
            <AppenderRef ref="console"/>
        </Root>

        <Logger name="org.example.expositions" level="DEBUG" additivity="false">
            <AppenderRef ref="file"/>
            <AppenderRef ref="console"/>
        </Logger>
    </Loggers>

</Configuration>
